Subject: Re: bug#27346: module tests fail to compile with gcc 4.8.5

From: Glenn Morris <[email-masked]>
Date: Mon, 12 Jun 2017 18:10:20 -0400

Philipp Stephani wrote:

> - After 5f25857f619f87c59e8e888fde5e66280a185123 dependency tracking
> doesn't seem to work correctly any more on my macOS system (i.e.
> mod-test.so isn't rebuilt if the module source has changed).
> `make' is GNU Make 3.81; maybe there was a bug that has been fixed in
> the meantime? If so, should we check for this in configure?

The previous version used "$srcdir", which wasn't defined in that
Makefile, and would have been wrong even if it was, so I can't see how
it could ever have worked for you. It works for me now with make 3.82 if
either mod-test.c or emacs-module.h is changed. I don't see how this
could be specific to some version of make.

> - Regarding the core dumps, it would probably better to use `ulimit -c 0'
> to prevent them during tests where aborts are expected. Not sure how to do
> that portably though.

Me neither. :)